%define         git %nil
#8e379f1d64bf09224ce2863b0d8aeb7cbfde92d6
%define         shortgit %(c=%{git}; echo ${c:0:7})
%define         date 20190304

%define         major 7
%define         libname %mklibname %{name} %{major}
%define         devel %mklibname %{name} -d

%if "%{git}"
%define         relver %mkrel -c git%{date} %{rel}
%define         srcdir %{name}-%{git}
%else
%define         relver %mkrel %{rel}
%define         srcdir %{name}-%{version}
%endif

Name:           dav1d
Version:        1.4.0
Release:        %mkrel 1
Summary:        dav1d is an AV1 decoder
Group:          System/Libraries
License:        BSD
URL:            https://code.videolan.org/videolan/dav1d
%if "%{git}"
Source0:        https://code.videolan.org/videolan/dav1d/-/archive/%{git}/%{name}-%{version}_%{date}_git%{shortgit}.tar.xz
%else
Source0:        https://code.videolan.org/videolan/dav1d/-/archive/%{version}/%{name}-%{version}.tar.xz
%endif

BuildRequires:  nasm
BuildRequires:  meson

%description
Dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed
and correctness.
This project is partially funded by the Alliance for Open Media/AOM.

The goal of this project is to provide a decoder for most platforms, and
achieve the highest speed possible to overcome the lack of AV1 hardware
decoder.
It aims to support all features from AV1, including all subsampling and
bit-depth parameters.
In the future, this project will host simple tools or simple wrappings
(like, for example, an MFT transform).

%package -n %{libname}
Summary:        Dav1d is an AV1 decoder
Group:          System/Libraries

Obsoletes: lib64dav1d1
Obsoletes: lib64dav1d4

%description -n %{libname}
Dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed
and correctness.
This project is partially funded by the Alliance for Open Media/AOM.

The goal of this project is to provide a decoder for most platforms, and
achieve the highest speed possible to overcome the lack of AV1 hardware
decoder.
It aims to support all features from AV1, including all subsampling and
bit-depth parameters.
In the future, this project will host simple tools or simple wrappings
(like, for example, an MFT transform).

%package -n %{devel}
Summary:        Dav1d is an AV1 decoder
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devel}
Dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed
and correctness.
This project is partially funded by the Alliance for Open Media/AOM.

The goal of this project is to provide a decoder for most platforms, and
achieve the highest speed possible to overcome the lack of AV1 hardware
decoder.
It aims to support all features from AV1, including all subsampling and
bit-depth parameters.
In the future, this project will host simple tools or simple wrappings
(like, for example, an MFT transform).

%prep
%setup -qn %{srcdir}

%build
%meson -Denable_asm=true
%meson_build

%install
%meson_install


%files
%{_bindir}/%{name}*

%files -n %{devel}
%{_includedir}/%{name}/
%{_libdir}/libdav1d.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%{_libdir}/libdav1d.so.%{major}*



%changelog
* Wed Feb 21 2024 tex - 1.4.0-1pclos2024
- new version

* Sat Aug 07 2021 tex - 0.9.1-1pclos2021
- new version

